using System;
using System.Collections.Generic;
using System.Linq;
using adMoto.Payments.Core.Data;

namespace adMoto.Payments.Core.Interfaces
{
    public interface IDataContext
    {
        void SubmitChanges();
        IQueryable<T> GetTable<T>() where T : class;
        void Insert<T>(T item) where T : class;
        void Delete<T>(T item) where T : class;
        IQueryable<Invoice> FindInvoiceByNipNumber(string nip, string numer);
        List<PotwierdzeniaEcard> FindItemsByIdFaktury(int idFaktury);
        int GetOrdernumber(string description, int? idfaktury, DateTime? data);
    }
}